#ifndef _CButton_H_
#define _CButton_H_
#include "..\comp\Graphics\Graph.h"
class CButton
{
	public:	CButton(int X, int Y, int Width, int Height, char* Text);
				~CButton();
				virtual void CButton::Click(void);
				void SetColor(Colors Color);
				void SetClickedColor(Colors Color);
				void SetTextColor(Colors Color);
				void SetClickedTextColor(Colors Color);
				void SetTextAlign(TextAlign Align);
				void SetBorderStyle(BorderStyle Border);
				void(*ClickHandler)(void);
				void SetText(char* pzText);
	protected:
				virtual void DrawText(void);
				virtual void Draw(void);
				int iX,iY,iWidth,iHeight;
				Colors colColor,colClickedColor,colTextColor,colClickedTextColor;
				BorderStyle bsBorder;
				TextAlign	taText;
				short bState;
				char szText[500];
	private:	void Draw3DBorder(void);
				void DrawFlatBorder(void);
};
#endif
